> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List destinations

` GET /destinations `

List destinations

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` org_id ` (query, optional)

- ` value `: type ` string `

### ` env_id ` (query, optional)

- ` value `: type ` string `

### ` status ` (query, optional)

- ` value `: type ` string `

### ` type ` (query, optional)

- ` value `: type ` string `

## Responses

### ` 200 ` — List of destinations

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` destinations `

  - ` destinations `: type ` array `

    - ` array item `: type ` object `; nullable

      - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` slug `, ` url `, ` method `, ` headers `, ` timeout_ms `, ` auth_type `, ` auth_config `, ` status `, ` event_count `, ` last_delivery_at `, ` created_at `, ` updated_at `, ` retry_enabled `, ` retry_max_attempts `, ` retry_backoff_type `, ` retry_intervals `, ` circuit_breaker_enabled `, ` circuit_breaker_threshold `, ` circuit_breaker_reset_ms `, ` type `, ` provider_config `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` name `: type ` string `

      - ` slug `: type ` string `

      - ` url `: type ` string `

      - ` method `: type ` string `

      - ` headers `: type ` string `; nullable

      - ` timeout_ms `: type ` integer `

      - ` auth_type `: type ` string `

      - ` auth_config `: type ` string `; nullable

      - ` status `: type ` string `

      - ` event_count `: type ` integer `

      - ` last_delivery_at `: type ` string `; nullable

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

      - ` retry_enabled `: type ` integer `; nullable

      - ` retry_max_attempts `: type ` integer `; nullable

      - ` retry_backoff_type `: type ` string `; nullable

      - ` retry_intervals `: type ` string `; nullable

      - ` circuit_breaker_enabled `: type ` integer `; nullable

      - ` circuit_breaker_threshold `: type ` integer `; nullable

      - ` circuit_breaker_reset_ms `: type ` integer `; nullable

      - ` type `: type ` string `

      - ` provider_config `: type ` string `; nullable

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/destinations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/destinations', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/destinations', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/destinations", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```